Loading...
Searching...
No Matches
RDKit::MolzipParams Struct Reference

`#include <MolFragmenter.h>`

## Public Attributes

MolzipLabel | label = MolzipLabel::AtomMapNumber
std::vector< std::string > | atomSymbols
std::string | atomProperty
bool | enforceValenceRules = true
bool | generateCoordinates
bool | alignCoordinates

## Detailed Description

Definition at line 120 of file MolFragmenter.h.

## Member Data Documentation

## alignCoordinates

bool RDKit::MolzipParams::alignCoordinates

Initial value:
=
false

if true and the input fragments have coordinates, the fragments will be aligned along connection vectors in the output molecule

Definition at line 129 of file MolFragmenter.h.

## atomProperty

std::string RDKit::MolzipParams::atomProperty

Definition at line 123 of file MolFragmenter.h.

## atomSymbols

std::vector<std::string> RDKit::MolzipParams::atomSymbols

Definition at line 122 of file MolFragmenter.h.

## enforceValenceRules

bool RDKit::MolzipParams::enforceValenceRules = true

Definition at line 124 of file MolFragmenter.h.

## generateCoordinates

bool RDKit::MolzipParams::generateCoordinates

Initial value:
=
false

if true, 2D coords will be generated for the output molecule and assigned to the input fragments as well

Definition at line 125 of file MolFragmenter.h.

## label

MolzipLabel RDKit::MolzipParams::label = MolzipLabel::AtomMapNumber

Definition at line 121 of file MolFragmenter.h.

The documentation for this struct was generated from the following file:

- MolFragmenter.h